package com.gyee.frame.service.impl.ticket;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.frame.model.ticket.Wohaveele;
import com.gyee.frame.mapper.ticket.WohaveeleMapper;
import com.gyee.frame.service.ticket.WohaveeleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-08
 */
@Service
public class WohaveeleServiceImpl extends ServiceImpl<WohaveeleMapper, Wohaveele> implements WohaveeleService {

    @Override
    public int selectMaxId() {
        return baseMapper.selectMaxId();
    }

    @Override
    public List<Wohaveele> getListSafeMeasure(String woNum) {
        QueryWrapper<Wohaveele> wrapper = new QueryWrapper<>();
        wrapper.eq("WONUM", woNum);

        List<Wohaveele> list = baseMapper.selectList(wrapper);

        return list;
    }

    @Override
    public Integer deleteSafeMeasure(List<Double> list) {
        int result = baseMapper.deleteBatchIds(list);
        return result;
    }
}
